Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface XMLCacheMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface XMLCacheMBean
extends weblogic.management.configuration.ConfigurationMBean

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static String` | `MBEAN_TYPE`
`static String` | `SINGLETON_MBEAN_NAME`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `add(String key, com.bea.xml.XmlObject _doc)`
`void` | `delete(String key)`
`com.bea.xml.XmlObject` | `get(String key)`
`String[]` | `getAllKeys()`
`boolean` | `keyExists(String key)`
`void` | `update(String key, com.bea.xml.XmlObject _doc)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final String MBEAN_TYPE

See Also:
  Constant Field Values

### SINGLETON_MBEAN_NAME

    public static final String SINGLETON_MBEAN_NAME

See Also:
  Constant Field Values

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

See Also:
  Constant Field Values

Method Detail

### add

    public void add(String key,
                    com.bea.xml.XmlObject _doc)

### update

    public void update(String key,
                       com.bea.xml.XmlObject _doc)

### delete

    public void delete(String key)

### get

    public com.bea.xml.XmlObject get(String key)

### keyExists

    public boolean keyExists(String key)

### getAllKeys

    public String[] getAllKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD